> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User Info

> Get the current authenticated user's information.

This is a protected endpoint that requires a valid access token.
Returns the user information extracted from the JWT token claims.



## OpenAPI

````yaml get /api/v1/auth/me
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/me:
    get:
      tags:
        - auth
      summary: Get Current User Info
      description: |-
        Get the current authenticated user's information.

        This is a protected endpoint that requires a valid access token.
        Returns the user information extracted from the JWT token claims.
      operationId: get_current_user_info_api_v1_auth_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Get Current User Info Api V1 Auth Me Get
        '401':
          description: Not authenticated

````